 *{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Segoe UI',sans-serif;
}

body{
    min-height:100vh;
    background:linear-gradient(
        135deg,
        #0f172a,
        #1e293b,
        #334155
    );
    display:flex;
    justify-content:center;
    align-items:center;
    padding:30px;
}

.container{
    width:100%;
    max-width:800px;
}

h1{
    color:white;
    text-align:center;
    margin-bottom:25px;
}

.search-box{
    display:flex;
    gap:10px;
}

input{
    flex:1;
    padding:15px;
    border:none;
    border-radius:12px;
    font-size:16px;
}

button{
    border:none;
    padding:15px 25px;
    border-radius:12px;
    cursor:pointer;
    background:#3b82f6;
    color:white;
    font-weight:bold;
}

button:hover{
    transform:translateY(-2px);
}

.card{
    margin-top:25px;
    padding:25px;
    border-radius:20px;
    text-align:center;
    animation:fade .4s ease;
}

.success{
    background:linear-gradient(
        135deg,
        #06b6d4,
        #3b82f6,
        #4f1ac9
    );
    color:white;
}

.error{
    background:white;
    color:#dc2626;
}

.card img{
    width:140px;
    border-radius:50%;
    border:4px solid white;
}

.card h2{
    margin-top:15px;
}

.stats{
    margin-top:20px;
    display:flex;
    justify-content:space-around;
}

.stats div{
    background:rgba(255,255,255,.15);
    padding:15px;
    border-radius:12px;
}

.card a{
    display:inline-block;
    margin-top:20px;
    color:white;
    text-decoration:none;
    font-weight:bold;
}

.history-section{
    margin-top:25px;
    background:white;
    padding:20px;
    border-radius:20px;
}

.history-section h2{
    margin-bottom:15px;
}

#history{
    list-style:none;
}

#history li{
    padding:10px;
    border-bottom:1px solid #ddd;
    cursor:pointer;
    transition:0.3s;
}

#history li:hover{
    background:#f1f5f9;
    transform:translateX(5px);
}

.clear-btn{
    margin-top:15px;
    background:#ef4444;
}

@keyframes fade{
    from{
        opacity:0;
        transform:translateY(15px);
    }
    to{
        opacity:1;
        transform:translateY(0);
    }
}
.loading{
    margin-top:20px;
    background:white;
    padding:20px;
    border-radius:15px;
    text-align:center;
    font-weight:bold;
}
.light-theme{

    background:
    linear-gradient(
    135deg,
    #ffffff,
    #e2e8f0
    );

}
.light-theme h1{
    color:#0f172a;
}

.light-theme .search-box input{
    background:white;
    color:#0f172a;
    border:1px solid #cbd5e1;
}

.light-theme .history-section{
    background:white;
    color:#0f172a;
}

.light-theme #history li{
    color:#0f172a;
}

.light-theme .card.success{
    color:white;
}

.light-theme .card.error{
    color:#dc2626;
}